import os 

import cv2 

# Getting the path of the Haar-cascade classifier 

cv2_base_dir = os.path.dirname(os.path.abspath(cv2.__file__)) 

haar_model_face = os.path.join(cv2_base_dir,'data/haarcascade_frontalface_default.xml') 

 

# Loading the detector 

face_detector = cv2.CascadeClassifier(haar_model_face) 

 

# Loading the image 

img = cv2.imread('image.jpg') 

 

# Convert image to grayscale 

gray = cv2.cvtColor(img,cv2.COLOR_BGR2GRAY) 

 

# Detect faces 

faces = face_detector.detectMultiScale(gray,scaleFactor=1.1,minNeighbors=5,minSize= (30, 30),flags=cv2.CASCADE_SCALE_IMAGE) 

 

# Drawing bounding boxes 

for (x,y,w,h) in faces: 
    cv2.rectangle(img,(x,y),(x+w,y+h),(0,255,0),2) 

 

# Displaying 

cv2.imshow('Window',img) 

cv2.waitKey(0)

#saving the image to disk
#cv2.imwrite("face-detected.jpg",img)
